Debian Bug report logs - #519760
persistency mis-recognizes RAID0 partition for ext3

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: 606u@dir.bg

Date: Sat, 14 Mar 2009 23:06:02 UTC

Severity: normal

Found in version live-initramfs/1.156.1-1

Fixed in version 1.173.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#519760; Package live-initramfs. (Sat, 14 Mar 2009 23:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 606u@dir.bg:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 14 Mar 2009 23:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Bobi B." <606u@dir.bg>
To: submit@bugs.debian.org
Subject: live-initramfs: persistent mis-recognizes RAID0 partition for ext3 fs
Date: Sun, 15 Mar 2009 01:03:10 +0200
Package: live-initramfs
Version: 1.156.1-1

My setup: Lenny, 4 SATA drives, important data on several RAID1 arrays 
on /dev/sd{a,b}, /tmp in RAID0 (for the speed sake) inside 2 partitions 
on /dev/sd{c,d}. All RAID partitions are with type 0xfd (Linux RAID 
auto). Card-reader took /dev/{e,f,g,h} and flash drive is /dev/sdi.

I've set-up a 2GB USB flash drive with DebianLive; tested it out, it 
worked fine. Decided, I wish to try persistent, made a second partition 
(ext2) labeled appropriately (live-rw, home-rw, whatever). Reboot with 
"live persistent" fails during /scripts/live-realpremount, advising me 
to file a bug report, so here it is.

IMHO, the trouble is that /scripts/live falsely recognizes one of my 
RAID0 partitions as ext3 partition, effectively failing to mount it and 
giving up (alphabetically sdc and sdd are before my flash drive, which 
for DebianLive is sde). After a peek inside boot scripts I noticed the 
following: fstype recognizes RAID1 partitions as ext3 (which is ok, as 
they are mirrored copies), but it mis-recognizes first partition of 
RAID0 array as ext3, too (see inline attachments). As 1st partition of a 
RAID0 array this partition might carry ext3 signature, but is not a 
complete file system by itself, but only a half of it (in my case).

My best suggestion is: 1) either auto-mount script to skip some 
partitions (like linux_raid_member) while looking for fs to keep 
persistent data, or 2) not to abort on first failure, but if target 
partition is not found at all.

Inline attachments:

# fdisk -l /dev/sdc4 # 1st partition in RAID0 array
...
/dev/sdc4 1 609 4891761 fd Linux raid autodetect

# fdisk -l /dev/sdd1 # 2nd partition in RAID0 array
/dev/sdd1 1 609 4891761 fd Linux raid autodetect
...

# fstype /dev/sdc4
FSTYPE=ext3
FSSIZE=###

# fstype /dev/sdd1
FSTYPE=unknown
FSSIZE=0

# vol_id /dev/sdc4
ID_FS_USAGE=raid
ID_FS_TYPE=linux_raid_member
ID_FS_VERSION=0.90.0
ID_FS_UUID=<unimportant-guid-here>
ID_FS_UUID_ENC=<same-guid-as-above>
ID_FS_LABEL=
ID_FS_LABEL_ENC=
ID_FS_LABEL_SAFE=

# vol_id /dev/sdd1
ID_FS_USAGE=raid
ID_FS_TYPE=linux_raid_member
ID_FS_VERSION=0.90.0
ID_FS_UUID=<same-guid-as-above>
ID_FS_UUID_ENC=<same-guid-as-above>
ID_FS_LABEL=
ID_FS_LABEL_ENC=
ID_FS_LABEL_SAFE=

# cat /proc/mdstat # lh_build included my RAID conf in initrd?!?
Personalities : [raid0] [raid1]
md5 : active raid0 sdc4[0] sdd1[1]
      9783296 blocks 64k chunks
...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#519760; Package live-initramfs. (Sun, 15 Mar 2009 08:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 606u@dir.bg:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 15 Mar 2009 08:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 519760@bugs.debian.org (full text, mbox):

From: "Bobi B." <606u@dir.bg>
To: 519760@bugs.debian.org
Subject: Also, is it safe to mount rw during search phase?
Date: Sun, 15 Mar 2009 10:02:48 +0200
One more thought: is it safe to mount individual partitions from a RAID1 
array for read-write? Could this make RAID1 array to go out of sync? I'm 
not sure in what I'm saying, but if unmount modifies file system's 
meta-info (like unmount time stamp) both partitions from the array could 
become different, effectively damaging the array.




Changed Bug title to 'persistency mis-recognizes RAID0 partition for ext3' from 'live-initramfs: persistent mis-recognizes RAID0 partition for ext3 fs' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 09:54:17 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Wed, 17 Mar 2010 05:45:04 GMT) Full text and rfc822 format available.

Notification sent to 606u@dir.bg:
Bug acknowledged by developer. (Wed, 17 Mar 2010 05:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 519760-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 519760-done@bugs.debian.org
Subject: Re: persistency mis-recognizes RAID0 partition for ext3
Date: Wed, 17 Mar 2010 06:40:09 +0100
Version: 1.173.1-1

this has been fixed already, closed.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Apr 2010 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:09:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.